5 July 2012

Fillet command in the AutoLISP or AutoCAD, how to use the fillet command in AutoCAD, how to write the code for fillet in AutoLISP.

                            Hi friends, in this article I will explain about the fillet command in the AutoLISP or AutoCAD, how to use the fillet command in AutoCAD, how to write the code for fillet in AutoLISP.
First we know about, how to use fillet in AutoCAD.
                            Open the AutoCAD, Write fillet or f and press enter. It asks the radius give the radius after that it will ask first object, select the first object after that it will ask second object to fillet then the fillet will draw automatically. if you want to know clearly then follow the below process or see the following image.



Command: f
nil
Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]: r
Specify fillet radius <1.0000>: 2
Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]:
Select second object or shift-select to apply corner:
Command:

Open AutoLISP Editor,Write the below code or Simply Copy and Paste the below code.

(defun c:fillet_fun()
  (setq p1(strcat "10" "," "0")
                p2(strcat "100" "," "0")
                p3(strcat "0" "," "20")
                p4(strcat "0" "," "100"))
  (command "line" p1 p2 "")
  (command "line" p3 p4 "")
  (setq p5(strcat "20" "," "0")
                p6(strcat "0" "," "50"))
  (command "fillet" "r" 2)
  (command "fillet" p5 p6 )
  )

Save the file as fillet_f.LSP
Then write the below line in the AutoCAD Command prompt.

Command: (load “fillet_f”)
Command:fillet_fun

Happy Reading my Blog.

No comments:

Post a Comment